Subject: RE: MRU Renegotiation Problem

From: Anand N <[email-masked]>
Date: Tue, 4 Apr 2000 10:13:51 +0530

If somehow the MTU of LAC and the LNS PPP can be maintained and negotiated 
as the MRU of the L2TP transport medium (i.e. UDP in most cases) say, 1500 
bytes, then could this problem be solved?

- Anand.

-----Original Message-----
From:	Srinivasan Chakravarthy [SMTP:[email-masked]]
Sent:	Tuesday, April 04, 2000 6:54 AM
To:	[email-masked]
Cc:	[email-masked]
Subject:	Re: MRU Renegotiation Problem

As long as the LAC has the capability (like driver buffer size and other
parameters) to transmit 1524 bytes of the PPP packets (which the user sends
after renegotiating with LNS), there should be no problem in the LAC. My 
view is
LAC should not remember (or even bother) the negotiated PPP parameters if 
the
remote user and LNS renegotiates. How the LAC to know if the link is
renegotiated between LNS and remote user is an implementation specific 
detail.

Is my view valid ? Any better solution ?

Thanks & Regards,

Srinivasan.

Srikrishnan wrote:

> Hello All,
>
>    I've one question regarding implementing LAC.
>
>    Following is the scenario I've my doubt,
>
> Step 1) PPP user negotiates LCP with LAC ( say  ISP) and MRU negotiated
> is 1500   ( let us assume, 1500 is maximum driver capability at the LAC
> physical port to PPP)
>
> Step 2)  LAC established tunnel/call to LNS and tunnels all layer 2
> (PPP) data from now on to LNS
>
> Step 3) PPP renegotiates LCP with LNS ( which is possible according to
> RFC),
> and at this time PPP negotiates 1524 MRU, which is accepted by LNS.
>
> Step 4) After negotiation, LNS sends data packets to PPP User through
> LAC( which  should ideal be transparent ).
>
> My question is if the packet size is 1524 ( >1500) what will happen?
>
> Issue here is,
>
> * PPP in LAC side has updated its MRU as 1500 after initial negoitation
> and not
> change after renegotiation.
> * Therez no way for LNS to update LAC about the changes in MRU.
>    ( therez a mechanism to update change about ACCM not MRU)
>
> What should be solution?
>
> Is the packets dropped at LAC - PPP physical port?
> Then therez no way for notification?
>
> Has anyone have any solution to this?
>
> I will appreciate any response. Thanks
>
> Regards
> Srikrishnan.